Subject: Re: PowerPC toolchain for x86 [Was: pci_device_id cleanups]

From: Jonas Bonn <[email-masked]>
Date: Wed, 20 Feb 2008 15:03:30 +0100

Sam Ravnborg wrote:
> On Wed, Feb 20, 2008 at 02:27:19PM +0100, Jonas Bonn wrote:
>> Sam Ravnborg wrote:
>>> On Wed, Feb 20, 2008 at 01:53:36PM +0100, Jonas Bonn wrote:
>>>> The PCI_DEVICE_TABLE patch I sent earlier doesn't necessarily make
>>>> much sense by itself... here is a set of patches that apply
>>>> this macro, in turn moving a lot of this data into __devinitconst
>>>> which is discardable in certain situations.
>>>> Hopefully the benefit of this approach is a bit clearer now.
>>> [shorter lines please..]
>> Sorry...
>>
>>> Can you please confirm that this does not break powerpc (64 bit)
>>> as they have troubles with the constification..
>> I do not have access to any PowerPC machine... Olof Johansson built the 
>> tree I posted earlier on PowerPC; there's nothing really new here except 
>> the wrapping of the definition in a macro.
> And you added const and a specific section.

No... once the macro is expanded the code is exactly the same as that 
which built cleanly on powerpc previously (which Olof, built, I mean)... 
nothing new here.

> Exactly what could break on PowerPC.
> 
> To do the build break check is easy.
> Google for "crosstool" and build your own powerpc toolchain.
> 

Thanks... I'll throw together a cross compiler and see what I can do.

/Jonas

> Andrew has something precompiled somewhere but I lost the link.
> 
> 
> 	Sam
>